com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable

## Interface DecisionTable

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RulesheetView

      public interface DecisionTable
      extends RulesheetView

  A representation of the model object 'Decision Table'.

  The following features are supported:

  - `Name`
  - `Selection`
  - `Advanced`
  - `Sash Weight Advanced View`
  - `Sash Weight Scope`
  - `Sash Weight Conditions Actions`
  - `Sash Weight Conditions If`
  - `Natural Language Display`
  - `Action Section`
  - `Scope Section`
  - `Filter Section`
  - `Rule Statement Section`
  - `Condition Section`
  - `Rule Section`
  - `PRuleset`
  See Also:
    `DecisiontablePackage.getDecisionTable()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ActionSection` | `getActionSection()` Returns the value of the 'Action Section' containment reference
    `ConditionSection` | `getConditionSection()` Returns the value of the 'Condition Section' containment reference
    `FilterSection` | `getFilterSection()` Returns the value of the 'Filter Section' containment reference
    `java.lang.String` | `getName()` Returns the value of the 'Name' attribute
    `PRuleset` | `getPRuleset()` Returns the value of the 'PRuleset' reference
    `RuleSection` | `getRuleSection()` Returns the value of the 'Rule Section' containment reference
    `RuleStatementSection` | `getRuleStatementSection()` Returns the value of the 'Rule Statement Section' containment reference
    `int` | `getSashWeightAdvancedView()` Returns the value of the 'Sash Weight Advanced View' attribute
    `int` | `getSashWeightConditionsActions()` Returns the value of the 'Sash Weight Conditions Actions' attribute
    `int` | `getSashWeightConditionsIf()` Returns the value of the 'Sash Weight Conditions If' attribute
    `int` | `getSashWeightScope()` Returns the value of the 'Sash Weight Scope' attribute
    `ScopeSection` | `getScopeSection()` Returns the value of the 'Scope Section' containment reference
    `com.corticon.eclipse.core.util.Selection` | `getSelection()` Returns the value of the 'Selection' attribute
    `boolean` | `isAdvanced()` Returns the value of the 'Advanced' attribute
    `boolean` | `isNaturalLanguageDisplay()` Returns the value of the 'Natural Language Display' attribute
    `void` | `setActionSection(ActionSection value)` Sets the value of the '`Action Section`' containment reference
    `void` | `setAdvanced(boolean value)` Sets the value of the '`Advanced`' attribute
    `void` | `setConditionSection(ConditionSection value)` Sets the value of the '`Condition Section`' containment reference
    `void` | `setFilterSection(FilterSection value)` Sets the value of the '`Filter Section`' containment reference
    `void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
    `void` | `setNaturalLanguageDisplay(boolean value)` Sets the value of the '`Natural Language Display`' attribute
    `void` | `setPRuleset(PRuleset value)` Sets the value of the '`PRuleset`' reference
    `void` | `setRuleSection(RuleSection value)` Sets the value of the '`Rule Section`' containment reference
    `void` | `setRuleStatementSection(RuleStatementSection value)` Sets the value of the '`Rule Statement Section`' containment reference
    `void` | `setSashWeightAdvancedView(int value)` Sets the value of the '`Sash Weight Advanced View`' attribute
    `void` | `setSashWeightConditionsActions(int value)` Sets the value of the '`Sash Weight Conditions Actions`' attribute
    `void` | `setSashWeightConditionsIf(int value)` Sets the value of the '`Sash Weight Conditions If`' attribute
    `void` | `setSashWeightScope(int value)` Sets the value of the '`Sash Weight Scope`' attribute
    `void` | `setScopeSection(ScopeSection value)` Sets the value of the '`Scope Section`' containment reference
    `void` | `setSelection(com.corticon.eclipse.core.util.Selection value)` Sets the value of the '`Selection`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `DecisiontablePackage.getDecisionTable_Name()`

    - #### setName

          void setName(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`

    - #### getSelection

          com.corticon.eclipse.core.util.Selection getSelection()

      Returns the value of the 'Selection' attribute.

      If the meaning of the 'Selection' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Selection' attribute.
      See Also:
        `setSelection(Selection)`, `DecisiontablePackage.getDecisionTable_Selection()`

    - #### setSelection

          void setSelection(com.corticon.eclipse.core.util.Selection value)

      Sets the value of the '`Selection`' attribute.
      Parameters:
        `value` - the new value of the 'Selection' attribute.
      See Also:
        `getSelection()`

    - #### isAdvanced

          boolean isAdvanced()

      Returns the value of the 'Advanced' attribute.

      If the meaning of the 'Advanced' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Advanced' attribute.
      See Also:
        `setAdvanced(boolean)`, `DecisiontablePackage.getDecisionTable_Advanced()`

    - #### setAdvanced

          void setAdvanced(boolean value)

      Sets the value of the '`Advanced`' attribute.
      Parameters:
        `value` - the new value of the 'Advanced' attribute.
      See Also:
        `isAdvanced()`

    - #### getSashWeightAdvancedView

          int getSashWeightAdvancedView()

      Returns the value of the 'Sash Weight Advanced View' attribute.

      If the meaning of the 'Sash Weight Advanced View' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Sash Weight Advanced View' attribute.
      See Also:
        `setSashWeightAdvancedView(int)`, `DecisiontablePackage.getDecisionTable_SashWeightAdvancedView()`

    - #### setSashWeightAdvancedView

          void setSashWeightAdvancedView(int value)

      Sets the value of the '`Sash Weight Advanced View`' attribute.
      Parameters:
        `value` - the new value of the 'Sash Weight Advanced View' attribute.
      See Also:
        `getSashWeightAdvancedView()`

    - #### getSashWeightScope

          int getSashWeightScope()

      Returns the value of the 'Sash Weight Scope' attribute.

      If the meaning of the 'Sash Weight Scope' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Sash Weight Scope' attribute.
      See Also:
        `setSashWeightScope(int)`, `DecisiontablePackage.getDecisionTable_SashWeightScope()`

    - #### setSashWeightScope

          void setSashWeightScope(int value)

      Sets the value of the '`Sash Weight Scope`' attribute.
      Parameters:
        `value` - the new value of the 'Sash Weight Scope' attribute.
      See Also:
        `getSashWeightScope()`

    - #### getSashWeightConditionsActions

          int getSashWeightConditionsActions()

      Returns the value of the 'Sash Weight Conditions Actions' attribute.

      If the meaning of the 'Sash Weight Conditions Actions' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Sash Weight Conditions Actions' attribute.
      See Also:
        `setSashWeightConditionsActions(int)`, `DecisiontablePackage.getDecisionTable_SashWeightConditionsActions()`

    - #### setSashWeightConditionsActions

          void setSashWeightConditionsActions(int value)

      Sets the value of the '`Sash Weight Conditions Actions`' attribute.
      Parameters:
        `value` - the new value of the 'Sash Weight Conditions Actions' attribute.
      See Also:
        `getSashWeightConditionsActions()`

    - #### getSashWeightConditionsIf

          int getSashWeightConditionsIf()

      Returns the value of the 'Sash Weight Conditions If' attribute.

      If the meaning of the 'Sash Weight Conditions If' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Sash Weight Conditions If' attribute.
      See Also:
        `setSashWeightConditionsIf(int)`, `DecisiontablePackage.getDecisionTable_SashWeightConditionsIf()`

    - #### setSashWeightConditionsIf

          void setSashWeightConditionsIf(int value)

      Sets the value of the '`Sash Weight Conditions If`' attribute.
      Parameters:
        `value` - the new value of the 'Sash Weight Conditions If' attribute.
      See Also:
        `getSashWeightConditionsIf()`

    - #### isNaturalLanguageDisplay

          boolean isNaturalLanguageDisplay()

      Returns the value of the 'Natural Language Display' attribute.

      If the meaning of the 'Natural Language Display' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Natural Language Display' attribute.
      See Also:
        `setNaturalLanguageDisplay(boolean)`, `DecisiontablePackage.getDecisionTable_NaturalLanguageDisplay()`

    - #### setNaturalLanguageDisplay

          void setNaturalLanguageDisplay(boolean value)

      Sets the value of the '`Natural Language Display`' attribute.
      Parameters:
        `value` - the new value of the 'Natural Language Display' attribute.
      See Also:
        `isNaturalLanguageDisplay()`

    - #### getActionSection

          ActionSection getActionSection()

      Returns the value of the 'Action Section' containment reference.

      If the meaning of the 'Action Section' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Action Section' containment reference.
      See Also:
        `setActionSection(ActionSection)`, `DecisiontablePackage.getDecisionTable_ActionSection()`

    - #### setActionSection

          void setActionSection(ActionSection value)

      Sets the value of the '`Action Section`' containment reference.
      Parameters:
        `value` - the new value of the 'Action Section' containment reference.
      See Also:
        `getActionSection()`

    - #### getScopeSection

          ScopeSection getScopeSection()

      Returns the value of the 'Scope Section' containment reference.

      If the meaning of the 'Scope Section' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Scope Section' containment reference.
      See Also:
        `setScopeSection(ScopeSection)`, `DecisiontablePackage.getDecisionTable_ScopeSection()`

    - #### setScopeSection

          void setScopeSection(ScopeSection value)

      Sets the value of the '`Scope Section`' containment reference.
      Parameters:
        `value` - the new value of the 'Scope Section' containment reference.
      See Also:
        `getScopeSection()`

    - #### getFilterSection

          FilterSection getFilterSection()

      Returns the value of the 'Filter Section' containment reference.

      If the meaning of the 'Filter Section' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Filter Section' containment reference.
      See Also:
        `setFilterSection(FilterSection)`, `DecisiontablePackage.getDecisionTable_FilterSection()`

    - #### setFilterSection

          void setFilterSection(FilterSection value)

      Sets the value of the '`Filter Section`' containment reference.
      Parameters:
        `value` - the new value of the 'Filter Section' containment reference.
      See Also:
        `getFilterSection()`

    - #### getRuleStatementSection

          RuleStatementSection getRuleStatementSection()

      Returns the value of the 'Rule Statement Section' containment reference.

      If the meaning of the 'Rule Statement Section' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Rule Statement Section' containment reference.
      See Also:
        `setRuleStatementSection(RuleStatementSection)`, `DecisiontablePackage.getDecisionTable_RuleStatementSection()`

    - #### setRuleStatementSection

          void setRuleStatementSection(RuleStatementSection value)

      Sets the value of the '`Rule Statement Section`' containment reference.
      Parameters:
        `value` - the new value of the 'Rule Statement Section' containment reference.
      See Also:
        `getRuleStatementSection()`

    - #### getConditionSection

          ConditionSection getConditionSection()

      Returns the value of the 'Condition Section' containment reference.

      If the meaning of the 'Condition Section' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Condition Section' containment reference.
      See Also:
        `setConditionSection(ConditionSection)`, `DecisiontablePackage.getDecisionTable_ConditionSection()`

    - #### setConditionSection

          void setConditionSection(ConditionSection value)

      Sets the value of the '`Condition Section`' containment reference.
      Parameters:
        `value` - the new value of the 'Condition Section' containment reference.
      See Also:
        `getConditionSection()`

    - #### getRuleSection

          RuleSection getRuleSection()

      Returns the value of the 'Rule Section' containment reference.

      If the meaning of the 'Rule Section' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Rule Section' containment reference.
      See Also:
        `setRuleSection(RuleSection)`, `DecisiontablePackage.getDecisionTable_RuleSection()`

    - #### setRuleSection

          void setRuleSection(RuleSection value)

      Sets the value of the '`Rule Section`' containment reference.
      Parameters:
        `value` - the new value of the 'Rule Section' containment reference.
      See Also:
        `getRuleSection()`

    - #### getPRuleset

          PRuleset getPRuleset()

      Returns the value of the 'PRuleset' reference.

      If the meaning of the 'PRuleset' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'PRuleset' reference.
      See Also:
        `setPRuleset(PRuleset)`, `DecisiontablePackage.getDecisionTable_PRuleset()`

    - #### setPRuleset

          void setPRuleset(PRuleset value)

      Sets the value of the '`PRuleset`' reference.
      Parameters:
        `value` - the new value of the 'PRuleset' reference.
      See Also:
        `getPRuleset()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.